Class | ::Bot::Auth::ManagerClass
In: | lib/rbot/core/remote.rb
Parent: | Object

We extend the ManagerClass to handle remote logins

### Methods

remote_login remote_user

### Constants

MAX_SESSION_ID | = | 2**128 - 1

### Public Instance methods

remote_login(botusername, pwd)

Creates a session id when the given password matches the given botusername

remote_user(session_id)

Returns the botuser associated with the given session id

[Validate]